Bug 185818 - graphics/ImageMagick[7]: remove CONFLICTS with lang/execline as namespace collission is resolved
Summary: graphics/ImageMagick[7]: remove CONFLICTS with lang/execline as namespace col...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Kurt Jaeger
URL:
Keywords:
Depends on: 231158
Blocks:
  Show dependency treegraph
 
Reported: 2014-01-16 09:40 UTC by Mike Jackson
Modified: 2018-09-22 07:50 UTC (History)
4 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Mike Jackson 2014-01-16 09:40:00 UTC
# pkg install execline
Updating repository catalogue
The following 1 packages will be installed:

	Installing execline: 1.08

The installation will require 955 kB more space

0 B to be downloaded

Proceed with installing packages [y/N]: y
Checking integrity...pkg: WARNING: locally installed ImageMagick-nox11-6.8.0.7_3,1 conflicts on /usr/local/bin/import with:
	- execline-1.08

Fix: 

Perhaps both packages could contain a /usr/local/bin/import that is an exec-wrapper and will launch the correct `import` program. The ImageMagic `import` program doesn't take any short  command-line options, and the execline `import` program doesn't take any long command-line options. Both packages could check for the existence of the exec-wrapper and either add it if it's missing or skip and continue if it exists. This requires cooperation between the two port maintainers.
How-To-Repeat: # pkg install ImageMagic-nox11
# pkg install execline
Comment 1 Koop Mast freebsd_committer 2014-02-06 09:47:01 UTC
Responsible Changed
From-To: freebsd-ports-bugs->kwm

Adopted ImageMagick take pr's
Comment 2 Koop Mast freebsd_committer 2014-06-17 20:23:26 UTC
I'm not sure I can do anything about this, import is a very well known ImageMagick command.
Comment 3 Colin Booth 2017-04-28 05:31:58 UTC
Hi,

I know this bug is ancient, but it's soon to be a non-issue. execline's import has been deprecated in the next major release (2.3.0.0, waiting on approval by the freebsd package merger folks) and will be going away in the next-next major release (2.4.0.0). This is doable because import is a convenience wrapper around importas, so with only a bit of work you can get the same effect out of importas.

Cheers!
Comment 4 Walter Schwarzenfeld freebsd_triage 2018-01-11 14:08:06 UTC
execline is now 2.3.0.4
https://svnweb.freebsd.org/ports?view=revision&revision=458734
Comment 5 Kurt Jaeger freebsd_committer 2018-01-11 14:11:20 UTC
... but still has bin/import...
Comment 6 Walter Schwarzenfeld freebsd_triage 2018-01-11 19:40:42 UTC
https://skarnet.org/software/execline/importas.html

https://skarnet.org/software/execline/import.html

It is only needed to copy  in the stagedirectory import to a another name e.g. importval or importvalue, and change it in the  pkg-plist.
(Maybe, a pkg-message "import has changed name to ...."
Comment 7 crest 2018-09-05 08:30:39 UTC
The latest release of execline removed the import command from the language after lots of grumbling. This solves the conflict between execline and ImageMagick.
Comment 8 Kurt Jaeger freebsd_committer 2018-09-20 19:08:45 UTC
Fixed because lang/execline no longer has an import-command.
Comment 9 Kurt Jaeger freebsd_committer 2018-09-20 19:09:36 UTC
Ups, CONFLICTS needs to be adapted.
Comment 10 Kurt Jaeger freebsd_committer 2018-09-21 18:37:50 UTC
Committed, fixed, thanks to all involved.
Comment 11 commit-hook freebsd_committer 2018-09-21 18:38:10 UTC
A commit references this bug:

Author: pi
Date: Fri Sep 21 18:37:30 UTC 2018
New revision: 480301
URL: https://svnweb.freebsd.org/changeset/ports/480301

Log:
  graphics/ImageMagick[7]: remove CONFLICTS with lang/execline

  - lang/execline dropped their bin/import, so it no longer conflicts

  PR:		185818
  Submitted by:	mj@netauth.com
  Approved by:	koobs (maintainer timeout)

Changes:
  head/graphics/ImageMagick/Makefile
  head/graphics/ImageMagick7/Makefile
Comment 12 commit-hook freebsd_committer 2018-09-22 07:50:27 UTC
A commit references this bug:

Author: pi
Date: Sat Sep 22 07:49:36 UTC 2018
New revision: 480358
URL: https://svnweb.freebsd.org/changeset/ports/480358

Log:
  graphics/ImageMagick[7]: remove CONFLICTS with lang/execline, 2nd try

  - lang/execline dropped their bin/import, so it no longer conflicts

  PR:		185818
  Submitted by:	mj@netauth.com
  Approved by:	kwm (maintainer timeout)

Changes:
  head/graphics/ImageMagick/Makefile
  head/graphics/ImageMagick7/Makefile